Developers
API ReferenceAssigned Chat Topic User

Mark topic as read

POST
/chat/chat-topics/{topicId}/chat-users/{userId}/read-topic

Mark topic as read

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

topicId*string

AssignedChatTopicUser identifier

Formatuuid
userId*string

AssignedChatTopicUser identifier

Formatuuid

Request Body

The new AssignedChatTopicUser resource

TypeScript Definitions

Use the request body type in TypeScript.

id?string
chatTopic?string
Formatiri-reference
chatUser?string
Formatiri-reference
lastReadMessage?|
Formatiri-reference
lastReadAt?|
Formatdate-time
createdAt?string
Formatdate-time
mutedUntil?|
Formatdate-time
isMutedIndefinitely?boolean
isUnread?boolean
Defaultfalse

Response Body

curl -X POST "https://example.com/chat/chat-topics/497f6eca-6276-4993-bfeb-53cbbbba6f08/chat-users/497f6eca-6276-4993-bfeb-53cbbbba6f08/read-topic" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "chatUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  },  "lastReadMessage": "75d29bd6-43f8-4417-8784-e9c4267edf6b",  "lastReadAt": "2019-08-24T14:15:22Z",  "mutedUntil": "2019-08-24T14:15:22Z",  "isMutedIndefinitely": true,  "isTopicOwner": false,  "isUnread": true,  "createdAt": "2019-08-24T14:15:22Z"}